@echo off

REM #
REM # http:/www.ultimatebootcd.com/
REM #
REM # This script edits the syslinux.cfg file from pmagic so to merge it into UBCD.
REM # 
REM # This script does not support Win9x OS family.
REM # 
REM #
REM # "FOR" command help
REM # for /?
REM # http://www.robvanderwoude.com/ntfor.php
REM # http://www.microsoft.com/resources/documentation/windows/xp/all/proddocs/en-us/for.mspx?mfr=true
REM # 
REM # "SET" command help
REM # set /?
REM # http://www.robvanderwoude.com/ntset.php
REM # http://www.microsoft.com/resources/documentation/windows/xp/all/proddocs/en-us/set.mspx?mfr=true
REM #

SETLOCAL EnableExtensions EnableDelayedExpansion
set path=%CD%\..\unxutils\bin;%PATH%
cd ..\..\linux\pm2ubcd

:_ARGS_0
IF "%~1" NEQ "" GOTO _ARGS_1
bash --norc pm2ubcd.sh
GOTO _EOF

:_ARGS_1
SET ARG1="%~1"
REM # Convert backslash into slash.
SET ARG1=!ARG1:\=/!
IF "%~2" NEQ "" GOTO _ARGS_2
bash --norc pm2ubcd.sh !ARG1!
GOTO _EOF

:_ARGS_2
SET ARG2="%~2"
SET ARG2=!ARG2:\=/!
IF "%~3" NEQ "" GOTO _ARGS_3
bash --norc pm2ubcd.sh !ARG1! !ARG2!
GOTO _EOF

:_ARGS_3
SET ARG3="%~3"
SET ARG3=!ARG3:\=/!
bash --norc pm2ubcd.sh !ARG1! !ARG2! !ARG3!
GOTO _EOF

:_EOF
cd ..\..\win32\pm2ubcd
endlocal

